Bug 829740 - Init script reports complete before sssd is actually working
Summary: Init script reports complete before sssd is actually working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-07 13:18 UTC by Dmitri Pal
Modified: 2020-05-02 16:54 UTC (History)
5 users (show)

Fixed In Version: sssd-1.9.2-7.el6
Doc Type: Bug Fix
Doc Text:
Cause: When the SSSD deamon was starting, the parent processes would quit right after spawning the child process, which was before the SSSD was actually functional Consequence: The initscripts print [OK] after the parent process terminates, which was before the SSSD was actually functional Fix: The parent process is not terminated until all the worker processes are up Result: When the initscripts print [OK] the admin can actually start using the SSSD.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:24:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2399 None None None 2020-05-02 16:54:13 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-06-07 13:18:43 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1357

I installed a rhel 6.2 system with the sshd Privilege-separated user account only in active directory and not in the system /etc/passwd file.  Under these conditions sshd which is supposed to run directly after sssd will not start.

Instead the following error is returned:
[  OK  ] sssd: [  OK  ]
Starting sshd: Privilege separation user sshd does not exist
[FAILED]

The system sssd version is sssd-1.5.1-66.el6_2.3.x86_64

Comment 1 RHEL Program Management 2012-07-10 06:12:39 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-11 02:06:11 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Kaushik Banerjee 2012-10-18 15:29:41 UTC
Tested with sssd-1.9.2-3.el6

Re-opening the bug:

# /etc/init.d/sssd stop && rm -f /var/lib/sss/db/*.ldb /var/lib/sss/mc/* /var/log/sssd/* && /etc/init.d/sssd start && date && id kau1; sleep 3 && date && id kau1
Stopping sssd:                                             [  OK  ]
Starting sssd:                                             [  OK  ]
Thu Oct 18 20:57:50 IST 2012
id: kau1: No such user
Thu Oct 18 20:57:53 IST 2012
uid=1111(kau1) gid=1111(kau1_grp1) groups=1111(kau1_grp1)

Comment 7 Nikolai Kondrashov 2012-11-20 07:04:44 UTC
Verified in version 1.9.2-13.

Comment 8 Nikolai Kondrashov 2013-01-08 15:05:16 UTC
There is no specific test for this, but half of the sudo suite would fail if this is broken.

Comment 9 errata-xmlrpc 2013-02-21 09:24:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.